<?php
	/*--------------------------------------------------------------
	# The News - January 2008 (for Joomla 1.5)
	# Recoded version - May 2009
	# Copyright (C) 2008-209 Gavick.com. All Rights Reserved.
	# License: Copyrighted Commercial Software
	# Website: http://www.gavick.com
	# Support: support@gavick.com 
	---------------------------------------------------------------*/
	
	// no direct access
	defined('_JEXEC') or die('Restricted access');
	// including base setup file
	include_once(JPATH_ROOT . "/templates/" . $this->template . '/lib/php/gk_setup.php');
	// including menu generator file
	include_once(JPATH_ROOT . "/templates/" . $this->template . '/lib/php/menu.php');
	
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<jdoc:include type="head" />
	<?php 
    	// including template header files
	    include_once(JPATH_ROOT . "/templates/" . $this->template . '/lib/php/gk_head.php');	
	?>
</head>
<body>

	<div class="page960 topmsg">
		<jdoc:include type="message" />
	</div>
	
	<?php if ($this->countModules('login')) : ?>
	<div id="memberarea">
        <div class="page960">
			<jdoc:include type="modules" name="login" style="raw" />
		</div>
	</div>
	<?php endif; ?>
	
	<div id="wrap-bg">
		<div id="topwrap">
			<a id="logo<?php echo ($logo_as_image) ? '' : '_styled'; ?>" class="nounder" href="./">	
				<?php if($logo_as_image) : ?>
				<img src="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template?>/images/logo.png" alt="Logo" />
				<?php endif; ?>	
			</a>
			
			<?php if ($this->countModules('top')) : ?>
			<div id="bannerwrap">
   				<jdoc:include type="modules" name="top" style="raw" />
			</div>
			<?php endif; ?>
			
			<div id="top_right">
			
				<?php if($login_link) : ?>
					<a href="#" id="login_link" <?php if($register_link && ((!isset($_GET['task']) || !isset($_GET['option'])) || ((isset($_GET['task']) && $_GET['task'] != 'register') || (isset($_GET['option']) && $_GET['option'] != 'com_user'))) && $userID == 0 && $login_link) echo 'class="border-right"'; ?>><?php echo ($userID == 0) ? JText::_('LOGIN') : JText::_('USER_PANEL'); ?></a>
				<?php endif;?>
				
				<?php if($register_link && ((!isset($_GET['task']) || !isset($_GET['option'])) || ((isset($_GET['task']) && $_GET['task'] != 'register') || (isset($_GET['option']) && $_GET['option'] != 'com_user'))) && $userID == 0) : ?>
					<a href="index.php?option=com_user&task=register"><?php echo JText::_("CREATE_ACCOUNT");?></a>
				<?php endif;?>
				
			</div>
        </div>
        
        <div id="menu_wrapper">
			<div id="menu">
			
		        <?php if ($this->countModules('advert1')) : ?>
		        <div id="search">
          			<jdoc:include type="modules" name="advert1" style="raw" />
		        </div>
		        <?php endif; ?>
		        
		        <div id="horiz-menu" class="nav">
          			<?php echo $main_navigation; ?>
		        </div>
			</div>
        </div>
        
        <div id="content_wrapper" class="clearfix <?php echo $main_class; ?>">
 
            <div id="left_content_wrapper" <?php if($main_wrapper_width != 0) echo 'style="width:'.$main_wrapper_width.'px;"'; ?> <?php if (!$this->countModules('user1 or user2 or user3')) : ?>class="noheader"<?php endif; ?>>
                
				<?php if ($this->countModules('user1 or user2 or user3')) : ?>
                <div id="user_position-1">
                
                    <?php if ($this->countModules('user1')) : ?>
                    <div class="<?php echo $user_position_1; ?>">
                    	<jdoc:include type="modules" name="user1" style="xhtml" />
                    </div>
                    <?php endif; ?>
                    
                    <?php if ($this->countModules('user2')) : ?>
                    <div class="<?php echo $user_position_1; ?>">
                    	<jdoc:include type="modules" name="user2" style="xhtml" />
                    </div>
                    <?php endif; ?>
                    
                    <?php if ($this->countModules('user3')) : ?>
                    <div class="<?php echo $user_position_1; ?>">
                    	<jdoc:include type="modules" name="user3" style="xhtml" />
                    </div>
                    <?php endif; ?>
                    
                </div>
                <?php endif; ?>
                
                
                <div id="mainbody_wrapper" class="clearfix">
                    <div id="mainbody_left_wrapper" <?php if($inset_class != '') echo 'class="inset"'; ?> <?php if($mainbody_wrapper_width != 0) echo 'style="width:'.$mainbody_wrapper_width.'px;"'; ?>>
                    	
                    	<div class="paddings">
	                        <?php if ($this->countModules('banner')) : ?>
	                        <div class="module_wrap" class="clearfix">
	                        	<jdoc:include type="modules" name="banner" style="none" />
	                        </div>
	                        <?php endif; ?>
	                        
	                        
	                        <?php if ($this->countModules('user4 or user5 or user5')) : ?>
	                        <div id="user_position-2" class="clearfix">
	                        
	                            <?php if ($this->countModules('user4')) : ?>
	                            <div class="<?php echo $user_position_2; ?>">
	                            	<jdoc:include type="modules" name="user4" style="xhtml" />
	                            </div>
	                            <?php endif; ?>
	                            
	                            <?php if ($this->countModules('user5')) : ?>
	                            <div class="<?php echo $user_position_2; ?>">
	                            	<jdoc:include type="modules" name="user5" style="xhtml" />
	                            </div>
	                            <?php endif; ?>
	                            
	                            <?php if ($this->countModules('user6')) : ?>
	                            <div class="<?php echo $user_position_2; ?>">
	                            	<jdoc:include type="modules" name="user6" style="xhtml" />
	                            </div>
	                            <?php endif; ?>
	                            
	                        </div>
	                        <?php endif; ?>
	                        
	                        <?php
								// show mainbody on all subpages but not on frontpage
								if (!$frontpage_i || $this->countModules('mainbody')) :
	 						?>
	 			
						    <div id="mainbody" class="clearfix">
								<?php if($this->countModules('mainbody')) : ?>
	      							<jdoc:include type="modules" name="mainbody" style="xhtml" />
	      						<?php else: ?>
	      							<jdoc:include type="component" />
			  					<?php endif; ?>
	                        </div>
	                        
							<?php endif; ?>
	                        
	                        <?php if ($this->countModules('bottom')) : ?>
	                        <div class="module_wrap" class="clearfix">
	                        	<jdoc:include type="modules" name="bottom" style="xhtml" />
	                        </div>
	                        <?php endif; ?>
	                        
	                        
	                        <?php if ($this->countModules('user7 or user8 or user9')) : ?>
	                        <div id="user_position-3" class="clearfix">
	                        
	                            <?php if ($this->countModules('user7')) : ?>
	                            <div class="<?php echo $user_position_3; ?>">
	                            	<jdoc:include type="modules" name="user7" style="xhtml" />
	                            </div>
	                            <?php endif; ?>
	                            
	                            <?php if ($this->countModules('user8')) : ?>
	                            <div class="<?php echo $user_position_3; ?>">
	                            	<jdoc:include type="modules" name="user8" style="xhtml" />
	                            </div>
	                            <?php endif; ?>
	                            
	                            <?php if ($this->countModules('user9')) : ?>
	                            <div class="<?php echo $user_position_3; ?>">
	                            	<jdoc:include type="modules" name="user9" style="xhtml" />
	                            </div>
	                            <?php endif; ?>
	                            
	                        </div>
	                        <?php endif; ?>
                        </div>
                    </div>
                    
                    
                    <?php if ($this->countModules('inset')) : ?>
                    <div id="inset_wrapper" style="width:<?php echo $inset_width; ?>px;">
                    	<jdoc:include type="modules" name="inset" style="xhtml" />
                    </div>
                    <?php endif; ?>
                    
        		</div>
            </div>
            
            
            <?php if ($this->countModules('right')) : ?>
            <div id="column_wrapper" style="width:<?php echo $column_width; ?>px;">
            	<jdoc:include type="modules" name="right" style="xhtml" />
            </div>
            <?php endif; ?>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
            
            <?php if ($this->countModules('user10 or user11 or user12')) : ?>
            <div id="bottom_wrapper" class="clearfix">
                <div id="user_position-4">
                
                    <?php if ($this->countModules('user10')) : ?>
                    <div class="<?php echo $user_position_4; ?>">
                    	<jdoc:include type="modules" name="user10" style="xhtml" />
                    </div>
                    <?php endif; ?>
                    
                    <?php if ($this->countModules('user11')) : ?>
                    <div class="<?php echo $user_position_4; ?>">
                    	<jdoc:include type="modules" name="user11" style="xhtml" />
                    </div>
                    <?php endif; ?>
                    
                    <?php if ($this->countModules('user12')) : ?>
                    <div class="<?php echo $user_position_4; ?>">
                    	<jdoc:include type="modules" name="user12" style="xhtml" />
                    </div>
                    <?php endif; ?>
                    
                </div>
            </div>
            <?php endif; ?>
        </div>
        
        <div id="footer_wrap" class="clearfix">
     		<?php
			 	// including footer file 
	 			include_once(JPATH_ROOT . "/templates/" . $this->template . '/lib/php/gk_footer.php'); 
		 	?>
        </div>
	</div>
	
	<?php 
		// including information alert for IE6
		if($this->params->get("ie6info", 1) == 1): 
	?>
	<!-- IE6 alert -->
	<!--[if IE 6]>
		<div id="ie6">
    		<?php include_once(JPATH_ROOT."/templates/".$this->template.'/lib/php/gk_ie6.php'); ?>
		</div>
	<![endif]-->
	<?php endif; ?>
	
	<jdoc:include type="modules" name="debug" />
</body>
</html>