<?php

	/*--------------------------------------------------------------
	# The News - January 2008 (for Joomla 1.5)
	# Recoded version - May 2009
	# Copyright (C) 2008-2009 Gavick.com. All Rights Reserved.
	# License: Copyrighted Commercial Software
	# Website: http://www.gavick.com
	# Support: support@gavick.com 
	---------------------------------------------------------------*/

	defined( '_JEXEC' ) or die( 'Restricted index access' );

	// setting variable for template base url
	$template_baseurl = $this->baseurl . '/templates/' . $this->template;

	// Adding MooTools 1.11 to template
	JHTML::_('behavior.mootools');

    $mtype = $this->params->get("mtype", "moomenu");
	// getting information about login button
	$login_link = ($this->params->get("login_button", 1) == 0) ? false : true;
	// getting information about register button
	$register_link = ($this->params->get("register_button", 1) == 0) ? false : true;
	// getting information about right module position width
	$column_width = $this->params->get("right_width", 270);
	// getting information about inset module position width
	$inset_width = $this->params->get("inset_width", 162);
	// getting information about logo
	$logo_as_image = ($this->params->get("logo_as_image", 1) == 1) ? true : false;
	// getting footer content
	$footer_content = $this->params->get("footer_content", "Template Design &copy; <a href=\"http://www.gavick.com\" target=\"_blank\">Joomla Templates</a> | GavickPro.  All rights reserved.");
	// getting menu
	$menu = & JSite::getMenu();
	// getting information about frontpage
	$frontpage_i = ($this->params->get("frontpage", 1) == 1) ? false : ($menu->getActive() == $menu->getDefault());	
	// creating JURI instance	
	$url = clone(JURI::getInstance());		
	// getting User object and user ID 
	$user =& JFactory::getUser();
	// getting User ID
	$userID = $user->get('id');

	/*--------------------------------------------------------------
	#
	# Calculating mainbody dimensions
	#
	--------------------------------------------------------------*/

	$padding = 16;
	$total_width = 960;
	$main_wrapper_width = 0;
	$mainbody_wrapper_width = 0;
	$inset_class = '';
	$main_class = 'white';
	
	if($this->countModules('right'))
	{
		$main_wrapper_width = $total_width - ((2 * $padding) + $column_width);
		$main_class = 'grey';		
	}
	
	if($this->countModules('inset'))
	{
		$mainbody_wrapper_width = $main_wrapper_width - $inset_width - 1; // 1px for dotted border
		$inset_class = 'inset';
	}
	

	/*--------------------------------------------------------------
	#
	# Generating user positions classes
	#
	--------------------------------------------------------------*/

	// empty variables for classes
	$user_position_1 = 'null';
	$user_position_2 = 'null';
	$user_position_3 = 'null';	
	$user_position_4 = 'null';

	/**
	    $user_position_1
	**/

	// 33%
	if($this->countModules('user1 and user2 and user3'))
	{
		$user_position_1 = 'us_width-33';		
	}
	else if($this->countModules('user1 and user2') || $this->countModules('user1 and user3') || $this->countModules('user2 and user3'))
	{
		$user_position_1 = 'us_width-50';
	}	
	else
	{
		$user_position_1 = 'us_width-100';	
	}

	/**
	    $user_position_2
	**/	
	
	// 33%
	if($this->countModules('user4 and user5 and user6'))
	{
		$user_position_2 = 'us_width-33';		
	}
	else if($this->countModules('user4 and user5') || $this->countModules('user4 and user6') || $this->countModules('user5 and user6'))
	{
		$user_position_2 = 'us_width-50';
	}	
	else
	{
		$user_position_2 = 'us_width-100';	
	}
	
	/**
	    $user_position_3
	**/
	
	// 33%
	if($this->countModules('user7 and user8 and user9'))
	{
		$user_position_3 = 'us_width-33';		
	}
	else if($this->countModules('user7 and user8') || $this->countModules('user7 and user9') || $this->countModules('user8 and user9'))
	{
		$user_position_3 = 'us_width-50';
	}	
	else
	{
		$user_position_3 = 'us_width-100';	
	}
	/**
	    $user_position_4
	**/
	
	// 33%
	if($this->countModules('user10 and user11 and user12'))
	{
		$user_position_4 = 'us_width-33';		
	}
	else if($this->countModules('user10 and user11') || $this->countModules('user10 and user12') || $this->countModules('user11 and user12'))
	{
		$user_position_4 = 'us_width-50';
	}	
	else
	{
		$user_position_4 = 'us_width-100';	
	}

?>